Description

This is an extended version of the feature request #15589

In addition to the normal duplicate record function, there should be an additional action called "duplicate records with releated features".

All linked entries in related tables are also duplicated and linked with the main feature that was duplicated. Foreign keys in related tables

need to point to the primary key of the new duplicated feature.

Related issues:

Related to QGIS Application - Feature request # 15589: Duplicate record function Closed 2016-09-20

History

#1 - 2017-07-11 01:16 PM - Jürgen Fischer

- Description updated

#2 - 2017-07-11 01:16 PM - Jürgen Fischer

- Related to Feature request #15589: Duplicate record function added

#3 - 2017-10-23 10:56 AM - Andreas Neumann

- Assignee set to Matthias Kuhn

#4 - 2017-12-28 09:01 PM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/5925

#5 - 2018-01-13 03:25 PM - Denis Rouzaud

- Status changed from Open to Closed

#6 - 2018-02-22 11:21 AM - Giovanni Manghi

- Resolution set to fixed/implemented
